import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.sql.ResultSet;

/**
 * Created by IntelliJ IDEA.
 * User: andersmo
 * Date: 28/11/2006
 * Time: 11:33:55
 * To change this template use File | Settings | File Templates.
 */
public class SelectWorker extends Worker {

    protected SelectWorker(ThreadGroup group, String name, String dbName, String tableName, int scaleFactor, long numTxns) {
        super(group, name, dbName, tableName, scaleFactor, numTxns);
        
    }

    PreparedStatement prepareWorkStatement(String tableName) throws SQLException{
        String selectSQL = "SELECT A FROM " + tableName + " WHERE A = ?";
        return c.prepareStatement(selectSQL);
    }

    void setupStatement(int rowId) throws SQLException {
        myStatement.setInt(1, rowId);
    }

    boolean execStatement(int rowId) throws SQLException {
        ResultSet rs = myStatement.executeQuery();
        rs.next();
        if(rowId != rs.getInt(1)) {
            System.err.println("WTF!");
            return false;
        }
        rs.close();
        return true;
    }

}
